Subject: bug#54631: Unable to determine system origin when configuration stored in guix channel

From: "Collin J. Doering" <[email-masked]>
Date: Wed, 30 Mar 2022 04:13:07 -0400

Hi Liliana,

Thank you for your response :)

> Alternatively, Guix could take the expression specified via -e and
> write it to disk. 

I think this would be the best way to resolve this issue. Also, thanks for your explanation.

> LOAD_PATH tweaking should be considered harmful and void your
> provenance, at least w.r.t. channels.  There's no sane way for guix to
> check whether the load paths you added still exist after
> reconfiguration, other than placing the entire directory in the store.

I agree! However, I think it would be nice if `guix system describe`, `guix system list-generations`, `guix home list-generations`, etc.. indicated when a generation was created with the `-L|--load-path` argument specified. As you said, it 'voids you provenance', so I think its something that should be visually indicated to the user.

Regards

-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca